## GMount GMount — Mount management |

## Functions

char * | g_mount_get_name ()
char * | g_mount_get_uuid ()
GIcon * | g_mount_get_icon ()
GIcon * | g_mount_get_symbolic_icon ()
GDrive * | g_mount_get_drive ()
GFile * | g_mount_get_root ()
GVolume * | g_mount_get_volume ()
GFile * | g_mount_get_default_location ()
gboolean | g_mount_can_unmount ()
void | g_mount_unmount ()
gboolean | g_mount_unmount_finish ()
void | g_mount_unmount_with_operation ()
gboolean | g_mount_unmount_with_operation_finish ()
void | g_mount_remount ()
gboolean | g_mount_remount_finish ()
gboolean | g_mount_can_eject ()
void | g_mount_eject ()
gboolean | g_mount_eject_finish ()
void | g_mount_eject_with_operation ()
gboolean | g_mount_eject_with_operation_finish ()
void | g_mount_guess_content_type ()
gchar ** | g_mount_guess_content_type_finish ()
gchar ** | g_mount_guess_content_type_sync ()
gboolean | g_mount_is_shadowed ()
void | g_mount_shadow ()
void | g_mount_unshadow ()
const gchar * | g_mount_get_sort_key ()

## Signals

void | changed | Run Last
void | pre-unmount | Run Last
void | unmounted | Run Last

## Types and Values

| GMount
struct | GMountIface
enum | GMountMountFlags
enum | GMountUnmountFlags

## Object Hierarchy

        GInterface
        ╰── GMount

## Prerequisites

GMount requires GObject.

## Includes

    #include <gio/gio.h>

## Description

The GMount interface represents user-visible mounts. Note, when porting from GnomeVFS, GMount is the moral equivalent of GnomeVFSVolume.

GMount is a "mounted" filesystem that you can access. Mounted is in quotes because it's not the same as a unix mount, it might be a gvfs mount, but you can still access the files on it if you use GIO. Might or might not be related to a volume object.

Unmounting a GMount instance is an asynchronous operation. For more information about asynchronous operations, see GAsyncResult and GTask. To unmount a GMount instance, first call `g_mount_unmount_with_operation()` with (at least) the GMount instance and a GAsyncReadyCallback. The callback will be fired when the operation has resolved (either with success or failure), and a GAsyncReady structure will be passed to the callback. That callback should then call `g_mount_unmount_with_operation_finish()` with the GMount and the GAsyncReady data to see if the operation was completed successfully. If an `error` is present when `g_mount_unmount_with_operation_finish()` is called, then it will be filled with any error information.

## Functions

### g_mount_get_name ()

    char *
    g_mount_get_name (GMount *mount);

Gets the name of `mount` .

#### Parameters

mount | a GMount. |

#### Returns

the name for the given `mount` . The returned string should be freed with `g_free()` when no longer needed.

### g_mount_get_uuid ()

    char *
    g_mount_get_uuid (GMount *mount);

Gets the UUID for the `mount` . The reference is typically based on the file system UUID for the mount in question and should be considered an opaque string. Returns `NULL` if there is no UUID available.

#### Parameters

mount | a GMount. |

#### Returns

the UUID for `mount` or `NULL` if no UUID can be computed. The returned string should be freed with `g_free()` when no longer needed.

### g_mount_get_icon ()

    GIcon *
    g_mount_get_icon (GMount *mount);

Gets the icon for `mount` .

#### Parameters

mount | a GMount. |

#### Returns

a GIcon. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

### g_mount_get_symbolic_icon ()

    GIcon *
    g_mount_get_symbolic_icon (GMount *mount);

Gets the symbolic icon for `mount` .

#### Parameters

mount | a GMount. |

#### Returns

a GIcon. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

Since 2.34

### g_mount_get_drive ()

    GDrive *
    g_mount_get_drive (GMount *mount);

Gets the drive for the `mount` .

This is a convenience method for getting the GVolume and then using that object to get the GDrive.

#### Parameters

mount | a GMount. |

#### Returns

a GDrive or `NULL` if `mount` is not associated with a volume or a drive. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

### g_mount_get_root ()

    GFile *
    g_mount_get_root (GMount *mount);

Gets the root directory on `mount` .

#### Parameters

mount | a GMount. |

#### Returns

a GFile. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

### g_mount_get_volume ()

    GVolume *
    g_mount_get_volume (GMount *mount);

Gets the volume for the `mount` .

#### Parameters

mount | a GMount. |

#### Returns

a GVolume or `NULL` if `mount` is not associated with a volume. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

### g_mount_get_default_location ()

    GFile *
    g_mount_get_default_location (GMount *mount);

Gets the default location of `mount` . The default location of the given `mount` is a path that reflects the main entry point for the user (e.g. the home directory, or the root of the volume).

#### Parameters

mount | a GMount. |

#### Returns

a GFile. The returned object should be unreffed with `g_object_unref()` when no longer needed.

[transfer full]

### g_mount_can_unmount ()

    gboolean
    g_mount_can_unmount (GMount *mount);

Checks if `mount` can be mounted.

#### Parameters

mount | a GMount. |

#### Returns

`TRUE` if the `mount` can be unmounted.

### g_mount_unmount ()

    void
    g_mount_unmount (GMount *mount,
                     GMountUnmountFlags flags,
                     GCancellable *cancellable,
                     GAsyncReadyCallback callback,
                     gpointer user_data);

`g_mount_unmount` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `g_mount_unmount_with_operation()` instead.

Unmounts a mount. This is an asynchronous operation, and is finished by calling `g_mount_unmount_finish()` with the `mount` and GAsyncResult data returned in the `callback` .

#### Parameters

mount | a GMount. |
flags | flags affecting the operation |
cancellable | optional GCancellable object, `NULL` to ignore. | [allow-none]
callback | a GAsyncReadyCallback, or `NULL`. | [allow-none]
user_data | user data passed to `callback` . |

### g_mount_unmount_finish ()

    gboolean
    g_mount_unmount_finish (GMount *mount,
                            GAsyncResult *result,
                            GError **error);

`g_mount_unmount_finish` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `g_mount_unmount_with_operation_finish()` instead.

Finishes unmounting a mount. If any errors occurred during the operation, `error` will be set to contain the errors and `FALSE` will be returned.

#### Parameters

mount | a GMount. |
result | a GAsyncResult. |
error | a GError location to store the error occurring, or `NULL` to ignore. |

#### Returns

`TRUE` if the mount was successfully unmounted. `FALSE` otherwise.

### g_mount_unmount_with_operation ()

    void
    g_mount_unmount_with_operation (GMount *mount,
                                    GMountUnmountFlags flags,
                                    GMountOperation *mount_operation,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Unmounts a mount. This is an asynchronous operation, and is finished by calling `g_mount_unmount_with_operation_finish()` with the `mount` and GAsyncResult data returned in the `callback` .

#### Parameters

mount | a GMount. |
flags | flags affecting the operation |
mount_operation | a GMountOperation or `NULL` to avoid user interaction. | [allow-none]
cancellable | optional GCancellable object, `NULL` to ignore. | [allow-none]
callback | a GAsyncReadyCallback, or `NULL`. | [allow-none]
user_data | user data passed to `callback` . |

Since 2.22

### g_mount_unmount_with_operation_finish ()

    gboolean
    g_mount_unmount_with_operation_finish (GMount *mount,
                                           GAsyncResult *result,
                                           GError **error);

Finishes unmounting a mount. If any errors occurred during the operation, `error` will be set to contain the errors and `FALSE` will be returned.

#### Parameters

mount | a GMount. |
result | a GAsyncResult. |
error | a GError location to store the error occurring, or `NULL` to ignore. |

#### Returns

`TRUE` if the mount was successfully unmounted. `FALSE` otherwise.

Since 2.22

### g_mount_remount ()

    void
    g_mount_remount (GMount *mount,
                     GMountMountFlags flags,
                     GMountOperation *mount_operation,
                     GCancellable *cancellable,
                     GAsyncReadyCallback callback,
                     gpointer user_data);

Remounts a mount. This is an asynchronous operation, and is finished by calling `g_mount_remount_finish()` with the `mount` and GAsyncResults data returned in the `callback` .

Remounting is useful when some setting affecting the operation of the volume has been changed, as these may need a remount to take affect. While this is semantically equivalent with unmounting and then remounting not all backends might need to actually be unmounted.

#### Parameters

mount | a GMount. |
flags | flags affecting the operation |
mount_operation | a GMountOperation or `NULL` to avoid user interaction. | [allow-none]
cancellable | optional GCancellable object, `NULL` to ignore. | [allow-none]
callback | a GAsyncReadyCallback, or `NULL`. | [allow-none]
user_data | user data passed to `callback` . |

### g_mount_remount_finish ()

    gboolean
    g_mount_remount_finish (GMount *mount,
                            GAsyncResult *result,
                            GError **error);

Finishes remounting a mount. If any errors occurred during the operation, `error` will be set to contain the errors and `FALSE` will be returned.

#### Parameters

mount | a GMount. |
result | a GAsyncResult. |
error | a GError location to store the error occurring, or `NULL` to ignore. |

#### Returns

`TRUE` if the mount was successfully remounted. `FALSE` otherwise.

### g_mount_can_eject ()

    gboolean
    g_mount_can_eject (GMount *mount);

Checks if `mount` can be eject.

#### Parameters

mount | a GMount. |

#### Returns

`TRUE` if the `mount` can be ejected.

### g_mount_eject ()

    void
    g_mount_eject (GMount *mount,
                   GMountUnmountFlags flags,
                   GCancellable *cancellable,
                   GAsyncReadyCallback callback,
                   gpointer user_data);

`g_mount_eject` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `g_mount_eject_with_operation()` instead.

Ejects a mount. This is an asynchronous operation, and is finished by calling `g_mount_eject_finish()` with the `mount` and GAsyncResult data returned in the `callback` .

#### Parameters

mount | a GMount. |
flags | flags affecting the unmount if required for eject |
cancellable | optional GCancellable object, `NULL` to ignore. | [allow-none]
callback | a GAsyncReadyCallback, or `NULL`. | [allow-none]
user_data | user data passed to `callback` . |

### g_mount_eject_finish ()

    gboolean
    g_mount_eject_finish (GMount *mount,
                          GAsyncResult *result,
                          GError **error);

`g_mount_eject_finish` has been deprecated since version 2.22 and should not be used in newly-written code.

Use `g_mount_eject_with_operation_finish()` instead.

Finishes ejecting a mount. If any errors occurred during the operation, `error` will be set to contain the errors and `FALSE` will be returned.

#### Parameters

mount | a GMount. |
result | a GAsyncResult. |
error | a GError location to store the error occurring, or `NULL` to ignore. |

#### Returns

`TRUE` if the mount was successfully ejected. `FALSE` otherwise.

### g_mount_eject_with_operation ()

    void
    g_mount_eject_with_operation (GMount *mount,
                                  GMountUnmountFlags flags,
                                  GMountOperation *mount_operation,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Ejects a mount. This is an asynchronous operation, and is finished by calling `g_mount_eject_with_operation_finish()` with the `mount` and GAsyncResult data returned in the `callback` .

#### Parameters

mount | a GMount. |
flags | flags affecting the unmount if required for eject |
mount_operation | a GMountOperation or `NULL` to avoid user interaction. | [allow-none]
cancellable | optional GCancellable object, `NULL` to ignore. | [allow-none]
callback | a GAsyncReadyCallback, or `NULL`. | [allow-none]
user_data | user data passed to `callback` . |

Since 2.22

### g_mount_eject_with_operation_finish ()

    gboolean
    g_mount_eject_with_operation_finish (GMount *mount,
                                         GAsyncResult *result,
                                         GError **error);

Finishes ejecting a mount. If any errors occurred during the operation, `error` will be set to contain the errors and `FALSE` will be returned.

#### Parameters

mount | a GMount. |
result | a GAsyncResult. |
error | a GError location to store the error occurring, or `NULL` to ignore. |

#### Returns

`TRUE` if the mount was successfully ejected. `FALSE` otherwise.

Since 2.22

### g_mount_guess_content_type ()

    void
    g_mount_guess_content_type (GMount *mount,
                                gboolean force_rescan,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Tries to guess the type of content stored on `mount` . Returns one or more textual identifiers of well-known content types (typically prefixed with "x-content/"), e.g. x-content/image-dcf for camera memory cards. See the shared-mime-info specification for more on x-content types.

This is an asynchronous operation (see `g_mount_guess_content_type_sync()` for the synchronous version), and is finished by calling `g_mount_guess_content_type_finish()` with the `mount` and GAsyncResult data returned in the `callback` .

#### Parameters

mount | a GMount |
force_rescan | Whether to force a rescan of the content. Otherwise a cached result will be used if available |
cancellable | optional GCancellable object, `NULL` to ignore. | [allow-none]
callback | a GAsyncReadyCallback |
user_data | user data passed to `callback` |

Since 2.18

### g_mount_guess_content_type_finish ()

    gchar **
    g_mount_guess_content_type_finish (GMount *mount,
                                       GAsyncResult *result,
                                       GError **error);

Finishes guessing content types of `mount` . If any errors occurred during the operation, `error` will be set to contain the errors and `FALSE` will be returned. In particular, you may get an `G_IO_ERROR_NOT_SUPPORTED` if the mount does not support content guessing.

#### Parameters

mount | a GMount |
result | a GAsyncResult |
error | a GError location to store the error occurring, or `NULL` to ignore |

#### Returns

a `NULL`-terminated array of content types or `NULL` on error. Caller should free this array with `g_strfreev()` when done with it.

[transfer full][element-type utf8]

Since 2.18

### g_mount_guess_content_type_sync ()

    gchar **
    g_mount_guess_content_type_sync (GMount *mount,
                                     gboolean force_rescan,
                                     GCancellable *cancellable,
                                     GError **error);

Tries to guess the type of content stored on `mount` . Returns one or more textual identifiers of well-known content types (typically prefixed with "x-content/"), e.g. x-content/image-dcf for camera memory cards. See the shared-mime-info specification for more on x-content types.

This is an synchronous operation and as such may block doing IO; see `g_mount_guess_content_type()` for the asynchronous version.

#### Parameters

mount | a GMount |
force_rescan | Whether to force a rescan of the content. Otherwise a cached result will be used if available |
cancellable | optional GCancellable object, `NULL` to ignore. | [allow-none]
error | a GError location to store the error occurring, or `NULL` to ignore |

#### Returns

a `NULL`-terminated array of content types or `NULL` on error. Caller should free this array with `g_strfreev()` when done with it.

[transfer full][element-type utf8]

Since 2.18

### g_mount_is_shadowed ()

    gboolean
    g_mount_is_shadowed (GMount *mount);

Determines if `mount` is shadowed. Applications or libraries should avoid displaying `mount` in the user interface if it is shadowed.

A mount is said to be shadowed if there exists one or more user visible objects (currently GMount objects) with a root that is inside the root of `mount` .

One application of shadow mounts is when exposing a single file system that is used to address several logical volumes. In this situation, a GVolumeMonitor implementation would create two GVolume objects (for example, one for the camera functionality of the device and one for a SD card reader on the device) with activation URIs `gphoto2://[usb:001,002]/store1/` and `gphoto2://[usb:001,002]/store2/`. When the underlying mount (with root `gphoto2://[usb:001,002]/`) is mounted, said GVolumeMonitor implementation would create two GMount objects (each with their root matching the corresponding volume activation root) that would shadow the original mount.

The proxy monitor in GVfs 2.26 and later, automatically creates and manage shadow mounts (and shadows the underlying mount) if the activation root on a GVolume is set.

#### Parameters

mount | A GMount. |

#### Returns

`TRUE` if `mount` is shadowed.

Since 2.20

### g_mount_shadow ()

    void
    g_mount_shadow (GMount *mount);

Increments the shadow count on `mount` . Usually used by GVolumeMonitor implementations when creating a shadow mount for `mount` , see `g_mount_is_shadowed()` for more information. The caller will need to emit the “changed” signal on `mount` manually.

#### Parameters

mount | A GMount. |

Since 2.20

### g_mount_unshadow ()

    void
    g_mount_unshadow (GMount *mount);

Decrements the shadow count on `mount` . Usually used by GVolumeMonitor implementations when destroying a shadow mount for `mount` , see `g_mount_is_shadowed()` for more information. The caller will need to emit the “changed” signal on `mount` manually.

#### Parameters

mount | A GMount. |

Since 2.20

### g_mount_get_sort_key ()

    const gchar *
    g_mount_get_sort_key (GMount *mount);

Gets the sort key for `mount` , if any.

#### Parameters

mount | A GMount. |

#### Returns

Sorting key for `mount` or `NULL` if no such key is available.

Since 2.32

## Types and Values

### GMount

    typedef struct _GMount GMount;

A handle to an object implementing the GMountIface interface.

### struct GMountIface

    struct GMountIface {
      GTypeInterface g_iface;

      /* signals */

      void        (* changed)                   (GMount              *mount);
      void        (* unmounted)                 (GMount              *mount);

      /* Virtual Table */

      GFile     * (* get_root)                  (GMount              *mount);
      char      * (* get_name)                  (GMount              *mount);
      GIcon     * (* get_icon)                  (GMount              *mount);
      char      * (* get_uuid)                  (GMount              *mount);
      GVolume   * (* get_volume)                (GMount              *mount);
      GDrive    * (* get_drive)                 (GMount              *mount);
      gboolean    (* can_unmount)               (GMount              *mount);
      gboolean    (* can_eject)                 (GMount              *mount);

      void        (* unmount)                   (GMount              *mount,
                                                 GMountUnmountFlags   flags,
                                                 GCancellable        *cancellable,
                                                 GAsyncReadyCallback  callback,
                                                 gpointer             user_data);
      gboolean    (* unmount_finish)            (GMount              *mount,
                                                 GAsyncResult        *result,
                                                 GError             **error);

      void        (* eject)                     (GMount              *mount,
                                                 GMountUnmountFlags   flags,
                                                 GCancellable        *cancellable,
                                                 GAsyncReadyCallback  callback,
                                                 gpointer             user_data);
      gboolean    (* eject_finish)              (GMount              *mount,
                                                 GAsyncResult        *result,
                                                 GError             **error);

      void        (* remount)                   (GMount              *mount,
                                                 GMountMountFlags     flags,
                                                 GMountOperation     *mount_operation,
                                                 GCancellable        *cancellable,
                                                 GAsyncReadyCallback  callback,
                                                 gpointer             user_data);
      gboolean    (* remount_finish)            (GMount              *mount,
                                                 GAsyncResult        *result,
                                                 GError             **error);

      void        (* guess_content_type)        (GMount              *mount,
                                                 gboolean             force_rescan,
                                                 GCancellable        *cancellable,
                                                 GAsyncReadyCallback  callback,
                                                 gpointer             user_data);
      gchar    ** (* guess_content_type_finish) (GMount              *mount,
                                                 GAsyncResult        *result,
                                                 GError             **error);
      gchar    ** (* guess_content_type_sync)   (GMount              *mount,
                                                 gboolean             force_rescan,
                                                 GCancellable        *cancellable,
                                                 GError             **error);

      /* Signal, not VFunc */
      void        (* pre_unmount)               (GMount              *mount);

      void        (* unmount_with_operation)    (GMount              *mount,
                                                 GMountUnmountFlags   flags,
                                                 GMountOperation     *mount_operation,
                                                 GCancellable        *cancellable,
                                                 GAsyncReadyCallback  callback,
                                                 gpointer             user_data);
      gboolean    (* unmount_with_operation_finish) (GMount          *mount,
                                                 GAsyncResult        *result,
                                                 GError             **error);

      void        (* eject_with_operation)      (GMount              *mount,
                                                 GMountUnmountFlags   flags,
                                                 GMountOperation     *mount_operation,
                                                 GCancellable        *cancellable,
                                                 GAsyncReadyCallback  callback,
                                                 gpointer             user_data);
      gboolean    (* eject_with_operation_finish) (GMount            *mount,
                                                 GAsyncResult        *result,
                                                 GError             **error);
      GFile     * (* get_default_location)      (GMount              *mount);

      const gchar * (* get_sort_key)            (GMount              *mount);
      GIcon       * (* get_symbolic_icon)       (GMount              *mount);
    };

Interface for implementing operations for mounts.

#### Members

GTypeInterface `g_iface`; | The parent interface. |
`changed` () | Changed signal that is emitted when the mount's state has changed. |
`unmounted` () | The unmounted signal that is emitted when the GMount have been unmounted. If the recipient is holding references to the object they should release them so the object can be finalized. |
`get_root` () | Gets a GFile to the root directory of the GMount. |
`get_name` () | Gets a string containing the name of the GMount. |
`get_icon` () | Gets a GIcon for the GMount. |
`get_uuid` () | Gets the UUID for the GMount. The reference is typically based on the file system UUID for the mount in question and should be considered an opaque string. Returns `NULL` if there is no UUID available. |
`get_volume` () | Gets a GVolume the mount is located on. Returns `NULL` if the GMount is not associated with a GVolume. |
`get_drive` () | Gets a GDrive the volume of the mount is located on. Returns `NULL` if the GMount is not associated with a GDrive or a GVolume. This is convenience method for getting the GVolume and using that to get the GDrive. |
`can_unmount` () | Checks if a GMount can be unmounted. |
`can_eject` () | Checks if a GMount can be ejected. |
`unmount` () | Starts unmounting a GMount. |
`unmount_finish` () | Finishes an unmounting operation. |
`eject` () | Starts ejecting a GMount. |
`eject_finish` () | Finishes an eject operation. |
`remount` () | Starts remounting a GMount. |
`remount_finish` () | Finishes a remounting operation. |
`guess_content_type` () | Starts guessing the type of the content of a GMount. See `g_mount_guess_content_type()` for more information on content type guessing. This operation was added in 2.18. |
`guess_content_type_finish` () | Finishes a content type guessing operation. Added in 2.18. |
`guess_content_type_sync` () | Synchronous variant of `guess_content_type` . Added in 2.18 |
`pre_unmount` () | The ::pre-unmount signal that is emitted when the GMount will soon be emitted. If the recipient is somehow holding the mount open by keeping an open file on it it should close the file. |
`unmount_with_operation` () | Starts unmounting a GMount using a GMountOperation. Since 2.22. |
`unmount_with_operation_finish` () | Finishes an unmounting operation using a GMountOperation. Since 2.22. |
`eject_with_operation` () | Starts ejecting a GMount using a GMountOperation. Since 2.22. |
`eject_with_operation_finish` () | Finishes an eject operation using a GMountOperation. Since 2.22. |
`get_default_location` () | Gets a GFile indication a start location that can be use as the entry point for this mount. Since 2.24. |
`get_sort_key` () | Gets a key used for sorting GMount instance or `NULL` if no such key exists. Since 2.32. |
`get_symbolic_icon` () | Gets a symbolic GIcon for the GMount. Since 2.34. |

### enum GMountMountFlags

Flags used when mounting a mount.

#### Members

G_MOUNT_MOUNT_NONE | No flags set. |

### enum GMountUnmountFlags

Flags used when an unmounting a mount.

#### Members

G_MOUNT_UNMOUNT_NONE | No flags set. |
G_MOUNT_UNMOUNT_FORCE | Unmount even if there are outstanding file operations on the mount. |

## Signal Details

### The `“changed”` signal

    void
    user_function (GMount  *mount,
                   gpointer user_data)

Emitted when the mount has been changed.

#### Parameters

mount | the object on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“pre-unmount”` signal

    void
    user_function (GMount  *mount,
                   gpointer user_data)

This signal is emitted when the GMount is about to be unmounted.

#### Parameters

mount | the object on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 2.22

### The `“unmounted”` signal

    void
    user_function (GMount  *mount,
                   gpointer user_data)

This signal is emitted when the GMount have been unmounted. If the recipient is holding references to the object they should release them so the object can be finalized.

#### Parameters

mount | the object on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

## See Also

GVolume, GUnixMountEntry, GUnixMountPoint